Bug 1277103 - incorrect query results under load.
Summary: incorrect query results under load.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-02 11:19 UTC by German Parente
Modified: 2019-09-12 09:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-05 03:08:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
errors log (6.17 MB, application/zip)
2015-11-02 11:22 UTC, German Parente
no flags Details

Description German Parente 2015-11-02 11:19:30 UTC
Description of problem:

I have some issues to troubleshoot this issue further.

In some conditions of strong load, a same query is skipping filter evaluation completely. Here it's the extract in the same connection:


[26/Oct/2015:17:42:43 -0700] conn=841921 op=10 SRCH base="ou=Email Aliases,ou=ITS,o=Caltech,c=US" scope=1 filter="(caltechITSEmailAliasAddress=zleite@caltech.edu)" attrs="caltechITSEmailAliasDestination"
[26/Oct/2015:17:42:54 -0700] conn=841921 op=10 RESULT err=0 tag=101 nentries=24804 etime=16 notes=U
[26/Oct/2015:17:43:15 -0700] conn=841921 op=11 SRCH base="ou=Accounts,ou=ITS,o=Caltech,c=US" scope=1 filter="(uid=zleite@caltech.edu)" attrs="uid"
[26/Oct/2015:17:43:15 -0700] conn=841921 op=11 RESULT err=0 tag=101 nentries=0 etime=4
[26/Oct/2015:17:43:29 -0700] conn=841921 op=12 SRCH base="ou=Accounts,ou=ITS,o=Caltech,c=US" scope=1 filter="(caltechITSEmailAliasAddress=zleite@caltech.edu)" attrs="uid"
[26/Oct/2015:17:43:32 -0700] conn=841921 op=12 RESULT err=0 tag=101 nentries=0 etime=9 notes=U
[26/Oct/2015:17:43:42 -0700] conn=841921 op=13 SRCH base="ou=Email Aliases,ou=ITS,o=Caltech,c=US" scope=1 filter="(caltechITSEmailAliasAddress=zleite@caltech.edu)" attrs="caltechITSEmailAliasDestination"
[26/Oct/2015:17:43:50 -0700] conn=841921 op=13 RESULT err=0 tag=101 nentries=0 etime=12 notes=U

Note operation op=10 and op=13 is the same. One of them returning 0 entries and the other one returning nentries=24804 as if the filter is not used.

These queries are doing full scan queries. Customer is not adding an index but in any case, this is a bug that has to be solved independently of performance. 

We cannot add "filter access" error log level because customer is in production.

Please, anyway I could troubleshoot this independently of filter errorlog level, it's welcome.

I am attaching the error logs to this case.


Version-Release number of selected component (if applicable): 

389-ds-base-1.3.3.1-20.el7_1.x86_64

Comment 1 German Parente 2015-11-02 11:22:39 UTC
Created attachment 1088537 [details]
errors log


Note You need to log in before you can comment on or make changes to this bug.